diff --git a/main/file.c b/main/file.c
index d707386..f0df352 100644
--- a/main/file.c
+++ b/main/file.c
@@ -1366,7 +1366,9 @@ static int waitstream_core(struct ast_channel *c, const char *breakon,
 			}
 			ast_frfree(fr);
 		}
-		ast_sched_runq(c->sched);
+		if (c->sched) {
+			ast_sched_runq(c->sched);
+		}
 	}
 
 	ast_clear_flag(c, AST_FLAG_END_DTMF_ONLY);
